getwd()
setwd("Laying Hens Meta-analysis")



#Packages loading ----
install.packages("metafor")
install.packages("meta")
install.packages("tidyverse")

#library loading----
library(meta)
library(tidyverse)
library(metafor)

library(openxlsx)

#Egg_Production----

df1<-read.csv("Egg_production.csv", header=T, stringsAsFactors = F )
df1 <- read_csv("~/laying Hens Meta-analysis/Egg_production.csv")


head(df1)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df1, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))

#Egg_Weight----

df2<-read.csv("Egg_weight.csv", header=T, stringsAsFactors = F )
df2 <- read_csv("~/laying Hens Meta-analysis/Egg_weight.csv")


head(df2)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df2, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))

#Egg_Yolk_Color----

df3<-read.csv("Egg_yolk_color.csv", header=T, stringsAsFactors = F )
df3 <- read_csv("~/laying Hens Meta-analysis/Egg_yolk_color.csv")


head(df3)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df3, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))

#Feed_Intake----

df4<-read.csv("Feed_intake.csv", header=T, stringsAsFactors = F )
df4 <- read_csv("~/laying Hens Meta-analysis/Feed_intake.csv")


head(df4)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df4, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))


#Feed_Conversion_Ratio----

df5<-read.csv("Feed_conversion_ratio.csv", header=T, stringsAsFactors = F )
df5 <- read_csv("~/laying Hens Meta-analysis/Feed_conversion_ratio.csv")


head(df5)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df5, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))


#Egg_Mass----

df6<-read.csv("Egg_mass.csv", header=T, stringsAsFactors = F )
df6 <- read_csv("~/laying Hens Meta-analysis/Egg_mass.csv")


head(df6)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df6, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))

#Eggshell_thickness----

df7<-read.csv("Eggshell_thickness.csv", header=T, stringsAsFactors = F )
df7 <- read_csv("~/laying Hens Meta-analysis/Eggshell_thickness.csv")


head(df7)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df7, sm="SMD", studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, print.pval.Q = F, print.stat = F, comb.fixed=F, leftcols="studlab", hestat=F, common = F, test.overall.random = T, rightcols=c("effect", "ci"))

#Egg_Production_META_ANOVA----

df8<-read.csv("Egg_production_MA.csv",header = T, stringsAsFactors = F)
df8<-read.csv("~/laying Hens Meta-analysis/Egg_production_MA.csv")

head(df8)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df8, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Egg_weight_META_ANOVA----

df9<-read.csv("Egg_weight_MA.csv",header = T, stringsAsFactors = F)
df9<-read.csv("~/laying Hens Meta-analysis/Egg_weight_MA.csv")

head(df9)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df9, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Egg_yolk_color_META_ANOVA----

df10<-read.csv("Egg_yolk_color_MA.csv",header = T, stringsAsFactors = F)
df10<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_MA.csv")

head(df10)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df10, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Feed_intake_META_ANOVA----

df11<-read.csv("Feed_intake_MA.csv",header = T, stringsAsFactors = F)
df11<-read.csv("~/laying Hens Meta-analysis/Feed_intake_MA.csv")

head(df11)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df11, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Feed_conversion_ratio_META_ANOVA----

df12<-read.csv("Feed_conversion_ratio_MA.csv",header = T, stringsAsFactors = F)
df12<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_MA.csv")

head(df12)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df12, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Eggshell_thickness_META_ANOVA----

df13<-read.csv("Eggshell_thickness_MA.csv",header = T, stringsAsFactors = F)
df13<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_MA.csv")

head(df13)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df13, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Egg_mass_META_ANOVA----

df14<-read.csv("Egg_mass_MA.csv",header = T, stringsAsFactors = F)
df14<-read.csv("~/laying Hens Meta-analysis/Egg_mass_MA.csv")

head(df14)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df14, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out, calcwidth.hetstat= T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))

#Egg_production_TP0-30%_META_REGRESSION----

df15<-read.csv("Egg_production_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df15<-read.csv("~/laying Hens Meta-analysis/Egg_production_TP0-30%_MR.csv")

head(df15)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df15, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Percentage)
bubble(metareg(out, Percentage))

#Egg_production_TP31-60%_META_REGRESSION----

df16<-read.csv("Egg_production_TP31-60%_MR.csv", header=T, stringsAsFactors = F)
df16<-read.csv("~/laying Hens Meta-analysis/Egg_production_TP31-60%_MR.csv")

head(df16)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df16, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Percentage)
bubble(metareg(out, Percentage))

#Egg_production_TP61-100%_META_REGRESSION----

df17<-read.csv("Egg_production_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df17<-read.csv("~/laying Hens Meta-analysis/Egg_production_TP61-100%_MR.csv")

head(df17)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df17, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Percentage)
bubble(metareg(out, Percentage))

#Egg_weight_TP0-30%_META_REGRESSION----

df18<-read.csv("Egg_weight_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df18<-read.csv("~/laying Hens Meta-analysis/Egg_weight_TP0-30%_MR.csv")

head(df18)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df18, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_weight_TP31-60%_META_REGRESSION----

df19<-read.csv("Egg_weight_TP31-60%_MR.csv", header=T, stringsAsFactors = F)
df19<-read.csv("~/laying Hens Meta-analysis/Egg_weight_TP31-60%_MR.csv")

head(df19)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df19, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_weight_TP61-100%_META_REGRESSION----

df20<-read.csv("Egg_weight_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df20<-read.csv("~/laying Hens Meta-analysis/Egg_weight_TP61-100%_MR.csv")

head(df20)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df20, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_yolk_color_TP0-30%_META_REGRESSION----

df21<-read.csv("Egg_yolk_color_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df21<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_TP0-30%_MR.csv")

head(df21)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df21, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_yolk_color_TP31-60%_META_REGRESSION----

df22<-read.csv("Egg_yolk_color_TP31-60%_MR.csv", header=T, stringsAsFactors = F)
df22<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_TP31-60%_MR.csv")

head(df22)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df22, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_yolk_color_TP61-100%_META_REGRESSION----

df23<-read.csv("Egg_yolk_color_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df23<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_TP61-100%_MR.csv")

head(df23)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df23, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_intake_TP0-30%_META_REGRESSION----

df24<-read.csv("Feed_intake_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df24<-read.csv("~/laying Hens Meta-analysis/Feed_intake_TP0-30%_MR.csv")

head(df24)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df24, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_intake_TP31-60%_META_REGRESSION----

df25<-read.csv("Feed_intake_TP31-60%_MR.csv", header=T, stringsAsFactors = F)
df25<-read.csv("~/laying Hens Meta-analysis/Feed_intake_TP31-60%_MR.csv")

head(df25)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df25, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_intake_TP61-100%_META_REGRESSION----

df26<-read.csv("Feed_intake_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df26<-read.csv("~/laying Hens Meta-analysis/Feed_intake_TP61-100%_MR.csv")

head(df26)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df26, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_conversion_ratio_TP0-30%_META_REGRESSION----

df27<-read.csv("Feed_conversion_ratio_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df27<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_TP0-30%_MR.csv")

head(df27)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df27, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_conversion_ratio_TP31-60%_META_REGRESSION----

df28<-read.csv("Feed_conversion_ratio_TP31-60%_MR.csv", header=T, stringsAsFactors = F)
df28<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_TP31-60%_MR.csv")

head(df28)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df28, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Feed_conversion_ratio_TP61-100%_META_REGRESSION----

df29<-read.csv("Feed_conversion_ratio_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df29<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_TP61-100%_MR.csv")

head(df29)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df29, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Eggshell_thickness_TP0-30%_META_REGRESSION----

df30<-read.csv("Eggshell_thickness_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df30<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_TP0-30%_MR.csv")

head(df30)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df30, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Eggshell_thickness_TP61-100%_META_REGRESSION----

df31<-read.csv("Eggshell_thickness_TP61-100%_MR.csv", header=T, stringsAsFactors = F)
df31<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_TP61-100%_MR.csv")

head(df31)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df31, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_mass_TP0-30%_META_REGRESSION----

df32<-read.csv("Egg_mass_TP0-30%_MR.csv", header=T, stringsAsFactors = F)
df32<-read.csv("~/laying Hens Meta-analysis/Egg_mass_TP0-30%_MR.csv")

head(df32)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df32, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, percentage)
bubble(metareg(out, percentage))

#Egg_production_ESA0-30%_META_REGRESSION----

df33<-read.csv("Egg_production_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df33<-read.csv("~/laying Hens Meta-analysis/Egg_production_ESA0-30%_MR.csv")

head(df33)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df33, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_production_ESA31-60%_META_REGRESSION----

df34<-read.csv("Egg_production_ESA31-60%_MR.csv", header=T, stringsAsFactors = F)
df34<-read.csv("~/laying Hens Meta-analysis/Egg_production_ESA31-60%_MR.csv")

head(df34)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df34, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_production_ESA61-100%_META_REGRESSION----

df35<-read.csv("Egg_production_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df35<-read.csv("~/laying Hens Meta-analysis/Egg_production_ESA61-100%_MR.csv")

head(df35)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df35, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_weight_ESA0-30%_META_REGRESSION----

df36<-read.csv("Egg_weight_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df36<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ESA0-30%_MR.csv")

head(df36)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df36, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_weight_ESA31-60%_META_REGRESSION----

df37<-read.csv("Egg_weight_ESA31-60%_MR.csv", header=T, stringsAsFactors = F)
df37<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ESA31-60%_MR.csv")

head(df37)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df37, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_weight_ESA61-100%_META_REGRESSION----

df38<-read.csv("Egg_weight_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df38<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ESA61-100%_MR.csv")

head(df38)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df38, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_yolk_color_ESA0-30%_META_REGRESSION----

df73<-read.csv("Egg_yolk_color_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df73<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ESA0-30%_MR.csv")

head(df73)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df73, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_yolk_color_ESA31-60%_META_REGRESSION----

df74<-read.csv("Egg_yolk_color_ESA31-60%_MR.csv", header=T, stringsAsFactors = F)
df74<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ESA31-60%_MR.csv")

head(df74)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df74, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_yolk_color_ESA61-100%_META_REGRESSION----

df75<-read.csv("Egg_yolk_color_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df75<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ESA61-100%_MR.csv")

head(df75)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df75, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_intake_ESA0-30%_META_REGRESSION----

df39<-read.csv("Feed_intake_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df39<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ESA0-30%_MR.csv")

head(df39)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df39, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_intake_ESA31-60%_META_REGRESSION----

df40<-read.csv("Feed_intake_ESA31-60%_MR.csv", header=T, stringsAsFactors = F)
df40<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ESA31-60%_MR.csv")

head(df40)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df40, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_intake_ESA61-100%_META_REGRESSION----

df41<-read.csv("Feed_intake_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df41<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ESA61-100%_MR.csv")

head(df41)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df41, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_conversion_ratio_ESA0-30%_META_REGRESSION----

df42<-read.csv("Feed_conversion_ratio_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df42<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ESA0-30%_MR.csv")

head(df42)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df42, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_conversion_ratio_ESA31-60%_META_REGRESSION----

df43<-read.csv("Feed_conversion_ratio_ESA31-60%_MR.csv", header=T, stringsAsFactors = F)
df43<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ESA31-60%_MR.csv")

head(df43)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df43, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Feed_conversion_ratio_ESA61-100%_META_REGRESSION----

df44<-read.csv("Feed_conversion_ratio_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df44<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ESA61-100%_MR.csv")

head(df44)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df44, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Eggshell_thickness_ESA0-30%_META_REGRESSION----

df45<-read.csv("Eggshell_thickness_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df45<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_ESA0-30%_MR.csv")

head(df45)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df45, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Eggshell_thickness_ESA61-100%_META_REGRESSION----

df46<-read.csv("Eggshell_thickness_ESA61-100%_MR.csv", header=T, stringsAsFactors = F)
df46<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_ESA61-100%_MR.csv")

head(df46)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df46, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_mass_ESA0-30%_META_REGRESSION----

df47<-read.csv("Egg_mass_ESA0-30%_MR.csv", header=T, stringsAsFactors = F)
df47<-read.csv("~/laying Hens Meta-analysis/Egg_mass_ESA0-30%_MR.csv")

head(df47)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df47, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_starting_age)
bubble(metareg(out, Experimental_starting_age))

#Egg_production_ED0-30%_MR----

df48<-read.csv("Egg_production_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df48<-read.csv("~/laying Hens Meta-analysis/Egg_production_ED0-30%_MR.csv")

head(df48)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df48, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_production_ED31-60%_MR----

df49<-read.csv("Egg_production_ED31-60%_MR.csv", header=T, stringsAsFactors = F)
df49<-read.csv("~/laying Hens Meta-analysis/Egg_production_ED31-60%_MR.csv")

head(df49)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df49, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_production_ED61-100%_MR----

df50<-read.csv("Egg_production_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df50<-read.csv("~/laying Hens Meta-analysis/Egg_production_ED61-100%_MR.csv")

head(df50)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df50, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_weight_ED0-30%_MR----

df51<-read.csv("Egg_weight_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df51<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ED0-30%_MR.csv")

head(df51)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df51, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_weight_ED31-60%_MR----

df52<-read.csv("Egg_weight_ED31-60%_MR.csv", header=T, stringsAsFactors = F)
df52<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ED31-60%_MR.csv")

head(df52)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df52, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_weight_ED61-100%_MR----

df53<-read.csv("Egg_weight_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df53<-read.csv("~/laying Hens Meta-analysis/Egg_weight_ED61-100%_MR.csv")

head(df53)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df53, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_yolk_color_ED0-30%_MR----

df54<-read.csv("Egg_yolk_color_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df54<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ED0-30%_MR.csv")

head(df54)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df54, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_yolk_color_ED31-60%_MR----

df55<-read.csv("Egg_yolk_color_ED31-60%_MR.csv", header=T, stringsAsFactors = F)
df55<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ED31-60%_MR.csv")

head(df55)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df55, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_yolk_color_ED61-100%_MR----

df56<-read.csv("Egg_yolk_color_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df56<-read.csv("~/laying Hens Meta-analysis/Egg_yolk_color_ED61-100%_MR.csv")

head(df56)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df56, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_intake_ED0-30%_MR----

df57<-read.csv("Feed_intake_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df57<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ED0-30%_MR.csv")

head(df57)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df57, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_intake_ED31-60%_MR----

df58<-read.csv("Feed_intake_ED31-60%_MR.csv", header=T, stringsAsFactors = F)
df58<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ED31-60%_MR.csv")

head(df58)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df58, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_intake_ED61-100%_MR----

df59<-read.csv("Feed_intake_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df59<-read.csv("~/laying Hens Meta-analysis/Feed_intake_ED61-100%_MR.csv")

head(df59)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df59, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_conversion_ratio_ED0-30%_MR----

df60<-read.csv("Feed_conversion_ratio_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df60<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ED0-30%_MR.csv")

head(df60)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df60, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_conversion_ratio_ED31-60%_MR----

df61<-read.csv("Feed_conversion_ratio_ED31-60%_MR.csv", header=T, stringsAsFactors = F)
df61<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ED31-60%_MR.csv")

head(df61)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df61, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Feed_conversion_ratio_ED61-100%_MR----

df62<-read.csv("Feed_conversion_ratio_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df62<-read.csv("~/laying Hens Meta-analysis/Feed_conversion_ratio_ED61-100%_MR.csv")

head(df62)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df62, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Eggshell_thickness_ED0-30%_MR----

df63<-read.csv("Eggshell_thickness_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df63<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_ED0-30%_MR.csv")

head(df63)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df63, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Eggshell_thickness_ED61-100%_MR----

df64<-read.csv("Eggshell_thickness_ED61-100%_MR.csv", header=T, stringsAsFactors = F)
df64<-read.csv("~/laying Hens Meta-analysis/Eggshell_thickness_ED61-100%_MR.csv")

head(df64)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df64, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_mass_ED0-30%_MR----

df65<-read.csv("Egg_mass_ED0-30%_MR.csv", header=T, stringsAsFactors = F)
df65<-read.csv("~/laying Hens Meta-analysis/Egg_mass_ED0-30%_MR.csv")

head(df65)
out<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df65, sm="SMD", byvar=group, studlab=paste(author, year))
out
forest(out)

metareg(out, Experimental_duration)
bubble(metareg(out, Experimental_duration))

#Egg_production_publication_bias----

df66<-read.csv("Egg_production.csv")
df66<- read_csv("~/laying Hens Meta-analysis/Egg_production.csv")


head(df66)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df66, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Egg_weight_publication_bias----

df67<-read.csv("Egg_weight.csv")
df67<- read_csv("~/laying Hens Meta-analysis/Egg_weight.csv")


head(df67)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df67, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Egg_yolk_color_publication_bias----

df68<-read.csv("Egg_yolk_color.csv")
df68<- read_csv("~/laying Hens Meta-analysis/Egg_yolk_color.csv")


head(df68)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df68, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Feed_intake_publication_bias----

df69<-read.csv("Feed_intake.csv")
df69<- read_csv("~/laying Hens Meta-analysis/Feed_intake.csv")


head(df69)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df69, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Feed_conversion_ratio_publication_bias----

df70<-read.csv("Feed_conversion_ratio.csv")
df70<- read_csv("~/laying Hens Meta-analysis/Feed_conversion_ratio.csv")


head(df70)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df70, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Eggshell_thickness_publication_bias----

df71<-read.csv("Eggshell_thickness.csv")
df71<- read_csv("~/laying Hens Meta-analysis/Eggshell_thickness.csv")


head(df71)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df71, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)

#Egg_mass_publication_bias----

df72<-read.csv("Egg_mass.csv")
df72<- read_csv("~/laying Hens Meta-analysis/Egg_mass.csv")


head(df72)
out1<-metacont(n.e, mean.e, sd.e, n.c, mean.c, sd.c, data=df72, sm="SMD", studlab=paste(author, year))
out1
forest(out1, calcwidth.tests = T, comb.fixed=F, leftcols="studlab", hestat=F, rightcols=c("effect", "ci"))
funnel(out1, comb.random=F)

metabias(out1)


out1a<-trimfill(out1, comb.fixed=T)
summary(out1a)
funnel(out1a, comb.random=F)